Deploy Contract
Deploy a contract from a template to the specified network.
POST
/
api
/
v1
/
contract-templates
/
{templateId}
/
deploy
Deploy Contract
curl --request POST \
--url https://sandbox.oumla.com/api/v1/contract-templates/{templateId}/deploy \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-sdk-version: <x-sdk-version>' \
--data '
{
"networkId": "<string>",
"addressId": "<string>",
"clientShare": "<string>",
"constructorParameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"internalType": "<string>",
"components": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"internalType": "<string>"
}
],
"value": {}
}
]
}
'import requests
url = "https://sandbox.oumla.com/api/v1/contract-templates/{templateId}/deploy"
payload = {
"networkId": "<string>",
"addressId": "<string>",
"clientShare": "<string>",
"constructorParameters": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"internalType": "<string>",
"components": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"internalType": "<string>"
}
],
"value": {}
}
]
}
headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-sdk-version': '<x-sdk-version>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
networkId: '<string>',
addressId: '<string>',
clientShare: '<string>',
constructorParameters: [
{
name: '<string>',
type: '<string>',
description: '<string>',
internalType: '<string>',
components: [
{
name: '<string>',
type: '<string>',
description: '<string>',
internalType: '<string>'
}
],
value: {}
}
]
})
};
fetch('https://sandbox.oumla.com/api/v1/contract-templates/{templateId}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflowResult": {
"workflowId": "<string>",
"operationId": "<string>",
"message": "<string>"
}
}{
"code": "ERR_010",
"message": "The request could not be processed.",
"category": "VALIDATION",
"statusCode": 400,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_066",
"message": "Contract not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}Authorizations
API key for authentication
Headers
SDK version header
Path Parameters
Contract template ID
Body
application/json
Response
deploy contract via workflow
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Deploy Contract
